Bug 290711 - system-config-selinux shouldn't allow SELinux without policy
system-config-selinux shouldn't allow SELinux without policy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 08:42 EDT by Bastien Nocera
Modified: 2008-01-21 10:52 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 10:52:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-09-14 08:42:13 EDT
policycoreutils-gui.i386 0:2.0.25-13.fc8

system-config-selinux allows me to set SELinux as enabled (in permissive or
enforcing mode, even though no policies are installed or available on my machine.

$ rpm -qa "*selinux*policy*"
selinux-policy-3.0.7-10.fc8

The package should either depend on a policy package, or not allow selinux to be
enabled without a policy.
Comment 1 Daniel Walsh 2007-09-18 14:13:40 EDT
Added a requies selinux-policy
policycoreutils-2.0.25-15.fc8

Note You need to log in before you can comment on or make changes to this bug.